Bug 187092 - DPMS state is never shifted to "OFF"
DPMS state is never shifted to "OFF"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-28 09:00 EST by Kevin DeKorte
Modified: 2013-03-13 00:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-02 18:34:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test patch (534 bytes, patch)
2006-03-30 14:22 EST, Richard Hughes
no flags Details | Diff

  None (edit)
Description Kevin DeKorte 2006-03-28 09:00:15 EST
Description of problem:
I have a IBM T41p laptop with an ATI video card and I am using the fglrx driver.
The display goes into Suspend just fine but the backlight on the display is not
100% off. The state needs to go to "OFF". xscreensaver handled this correctly.
There is no option in gnome-power-manager to have a setting to make DPMS off.
There is a significant power and heat saving between Suspend/Standby and OFF

Version-Release number of selected component (if applicable):
gnome-power-manager-2.14.0-1

How reproducible:
Everytime

Steps to Reproduce:
1. 
2.
3.
  
Actual results:
gnome-power-manager should have a timeout for OFF like xscreensaver does

Expected results:


Additional info:
Comment 1 Richard Hughes 2006-03-28 10:24:16 EST
It does, it waits double the suspend time, so if you've got gnome-screensaver
setting the idle time at 10 minutes, and the DPMS slider is set to 10 minutes in
g-p-p, then at 20 minutes idle the monitor will suspend, and at 30 minutes idle
the monitor will power off.
Comment 2 Kevin DeKorte 2006-03-28 22:19:30 EST
Well it does not appear to work with my setup. It used to work fine with FC4,
xscreensaver and fglrx. BTW, I had tried gnome-power-manager (from nrpms) on FC4
and it did not ever set the monitor state to OFF either. 

I set the slider to 20 mins and walked away. The screen does go "dark", but it
is not "OFF" even after letting it sit for over 2 hrs.
Comment 3 Kevin DeKorte 2006-03-28 22:36:22 EST
This problem seems similar to GNOME Bug

http://bugzilla.gnome.org/show_bug.cgi?id=324419


BTW if I do an xset q all the DPMS values appear to be 0. So I am guessing this
info is stored elseware. 

Standby: 0    Suspend: 0      Off: 0
DPMS is Enabled
Monitor is On   

Of course those values where extracted while I was on the console.
Comment 4 Richard Hughes 2006-03-29 02:24:42 EST
What versions of gnome-screensaver and gnome-power-manager do you both have?
Comment 5 Kevin DeKorte 2006-03-29 08:47:43 EST
rpm -q gnome-power-manager gnome-screensaver
gnome-power-manager-2.14.0-1
gnome-screensaver-2.14.0-1
Comment 6 Richard Hughes 2006-03-30 02:24:42 EST
xset won't work using gnome-screensaver. Are you confident enough to try a patch
to CVS if I attach one?
Comment 7 Kevin DeKorte 2006-03-30 08:32:05 EST
Richard, yes I can handle a patch. I am also willing to try sample code if you
want to try that.
Comment 8 Kevin DeKorte 2006-03-30 14:09:20 EST
I have current CVS of gnome-power-manager installed and working. Still has the
DPMS OFF problem (not that I expected it to be fixed, but if it did that would
have been cool). So I am ready to try some patches.
Comment 9 Richard Hughes 2006-03-30 14:21:09 EST
First, can you try:

sleep 2; dbus-send --session \
          --dest=org.gnome.PowerManager \
          --type=method_call \
          --print-reply \
          --reply-timeout=2000 \
          /org/gnome/PowerManager \
          org.gnome.PowerManager.setDpmsMode \
          string:off

to make sure we can set the display to off. Please verify this completely powers
down the screen.

Thanks.
Comment 10 Richard Hughes 2006-03-30 14:22:17 EST
Created attachment 127065 [details]
test patch

And if that works, try this patch. Thanks again.
Comment 11 Kevin DeKorte 2006-03-30 15:39:01 EST
Sorry, but no the dbus-send command does not power off the screen like
xscreensaver. That command does work properly on my desktop (i915 chipset and
with gnome-power-manager 2.14) which has an external LCD display over a DVI
connection. 

So I think it may have something with the way dbus powers down the LCD display
on the T41p laptop. 
Comment 12 Richard Hughes 2006-03-31 04:38:53 EST
Can you set the correct mode with xset?
Comment 13 Kevin DeKorte 2006-03-31 09:20:58 EST
Sorry, but no I can't set the proper mode with xset. However, I found this
http://fdd.com/software/radeon/radeontool-1.5.tar.gz  and it does allow me to
turn off the backlight completely.

radeontool light off 

radeontool light on

work like expected. Now I am pretty sure that xscreensaver doesn't call this
tool. So I am wondering if it has a work around or not. Perhaps you could add a
radeontool option to g-p-m? Or maybe just call it if it exists? It does appear
to check to ensure an radeon is installed.
Comment 14 Kevin DeKorte 2006-04-01 14:17:58 EST
Richard, sorry, but I think I wasted your time, cause I am an idiot... I looked
in my xorg.conf file and the aticonfig tool didn't turn on dpms for my monitor.
I should have checked that. 

Anyway, I have enabled that option and both the xset and dbus options work now.
I have also tested the gnome-power-manager 2.14 (shipping rpm) code and it
appears to work too.
Comment 15 Richard Hughes 2006-04-02 18:34:24 EDT
Okay, glad it's all working now.

Note You need to log in before you can comment on or make changes to this bug.